Reconnect a linked account
curl --request POST \
--url https://api.ofauth.com/v3/linked-accounts/{id}/reconnect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirect_uri": "<string>",
"state": "<string>"
}
'import requests
url = "https://api.ofauth.com/v3/linked-accounts/{id}/reconnect"
payload = {
"redirect_uri": "<string>",
"state": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({redirect_uri: '<string>', state: '<string>'})
};
fetch('https://api.ofauth.com/v3/linked-accounts/{id}/reconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/linked-accounts/{id}/reconnect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'redirect_uri' => '<string>',
'state' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/linked-accounts/{id}/reconnect"
payload := strings.NewReader("{\n \"redirect_uri\": \"<string>\",\n \"state\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ofauth.com/v3/linked-accounts/{id}/reconnect")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"redirect_uri\": \"<string>\",\n \"state\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/linked-accounts/{id}/reconnect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redirect_uri\": \"<string>\",\n \"state\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"authorization_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"linked_account_id": "<string>",
"url": "<string>"
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}Linked accounts
Reconnect a linked account
Creates a 15-minute journey for the owner to reconnect this authorization’s exact account. redirect_uri must exactly match a registered OAuth redirect URI. Open the returned url; the owner returns with state and reconnect=completed, canceled, expired, or denied. Confirm recovery with the existing account status or linked_account.reconnected event. This preserves authorization and account IDs, scopes, and unrelated accounts. It never retries an interrupted request. An expired OAuth token must be refreshed before this endpoint can be called.
POST
/
v3
/
linked-accounts
/
{id}
/
reconnect
Reconnect a linked account
curl --request POST \
--url https://api.ofauth.com/v3/linked-accounts/{id}/reconnect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirect_uri": "<string>",
"state": "<string>"
}
'import requests
url = "https://api.ofauth.com/v3/linked-accounts/{id}/reconnect"
payload = {
"redirect_uri": "<string>",
"state": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({redirect_uri: '<string>', state: '<string>'})
};
fetch('https://api.ofauth.com/v3/linked-accounts/{id}/reconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/linked-accounts/{id}/reconnect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'redirect_uri' => '<string>',
'state' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/linked-accounts/{id}/reconnect"
payload := strings.NewReader("{\n \"redirect_uri\": \"<string>\",\n \"state\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ofauth.com/v3/linked-accounts/{id}/reconnect")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"redirect_uri\": \"<string>\",\n \"state\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/linked-accounts/{id}/reconnect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redirect_uri\": \"<string>\",\n \"state\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"authorization_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"linked_account_id": "<string>",
"url": "<string>"
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}Authorizations
Body
application/json
Was this page helpful?